Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
emerge unmerge xfce4 :-( [OPGELOST]
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2  
Reply to topic    Gentoo Forums Forum Index Dutch
View previous topic :: View next topic  
Author Message
Azerix
Guru
Guru


Joined: 19 Dec 2004
Posts: 346
Location: NL

PostPosted: Mon Jan 23, 2006 8:26 pm    Post subject: Reply with quote

Ik krijg nu het zelfde error met dev-db/mysql 4.1.14 :? emerge -u kde-meta Wrom installert hij mysql, is helemaal niet nodig. Ik heb wel apache, php, mysql allang en die gebruik ik ook. En staat zelfs ook niet in de lijst emerge --pretend kde-meta | less

Quote:

Calculating dependencies .. ...done!
[ebuild N ] kde-base/kde-env-3-r4
[ebuild N ] kde-base/kdelibs-3.5.0-r1
[ebuild N ] kde-base/ksig-3.5.0
[ebuild N ] kde-base/renamedlg-images-3.5.0
[ebuild N ] kde-base/kdeaddons-docs-konq-plugins-3.5.0
[ebuild N ] kde-base/librss-3.5.0
[ebuild N ] kde-base/knewsticker-3.5.0
[ebuild N ] kde-base/knewsticker-scripts-3.5.0
[ebuild N ] kde-base/kdeaddons-kfile-plugins-3.5.0
[ebuild N ] kde-base/kate-3.5.0
[ebuild N ] kde-base/kate-plugins-3.5.0
[ebuild N ] kde-base/libkdegames-3.5.0
[ebuild N ] kde-base/atlantik-3.5.0
[ebuild N ] kde-base/atlantikdesigner-3.5.0
[ebuild N ] kde-base/renamedlg-audio-3.5.0
[ebuild N ] kde-base/libkonq-3.5.0
[ebuild N ] sys-apps/eject-2.0.13-r2
[ebuild N ] kde-base/kdialog-3.5.0
[ebuild N ] kde-base/kdebase-kioslaves-3.5.0
[ebuild N ] sys-apps/usbutils-0.11-r5
[ebuild N ] kde-base/khotkeys-3.5.0
[ebuild N ] kde-base/kdebase-data-3.5.0
[ebuild N ] kde-base/kicker-3.5.0
[ebuild N ] kde-base/kdesu-3.5.0
[ebuild N ] kde-base/khelpcenter-3.5.0
[ebuild N ] kde-base/kcminit-3.5.0
[ebuild N ] kde-base/kcontrol-3.5.0
[ebuild N ] kde-base/konqueror-3.5.0-r1
[ebuild N ] kde-base/ktnef-3.5.0
[ebuild N ] kde-base/libkcal-3.5.0
[ebuild N ] kde-base/libkdepim-3.5.0
[ebuild N ] kde-base/libkpgp-3.5.0
[ebuild N ] dev-libs/pth-1.4.0
[ebuild N ] app-crypt/gpgme-1.0.2
[ebuild N ] kde-base/libkdenetwork-3.5.0
[ebuild N ] kde-base/certmanager-3.5.0
[ebuild N ] kde-base/libkpimidentities-3.5.0
[ebuild N ] kde-base/kontact-3.5.0
[ebuild N ] kde-base/akregator-3.5.0
[ebuild N ] kde-base/konqueror-akregator-3.5.0
[ebuild N ] kde-base/kicker-applets-3.5.0
[ebuild N ] kde-base/konq-plugins-3.5.0
[ebuild N ] kde-base/kaddressbook-3.5.0
[ebuild N ] kde-base/kaddressbook-plugins-3.5.0
[ebuild N ] kde-base/kdeaddons-meta-3.5.0
[ebuild N ] kde-base/kgeography-3.5.0
[ebuild N ] kde-base/kpercentage-3.5.0
[ebuild N ] kde-base/keduca-3.5.0
[ebuild N ] kde-base/libkdeedu-3.5.0
[ebuild N ] kde-base/kstars-3.5.0
[ebuild N ] kde-base/kvoctrain-3.5.0
[ebuild N ] kde-base/ktouch-3.5.0
[ebuild N ] kde-base/klettres-3.5.0
[ebuild N ] kde-base/kdeedu-applnk-3.5.0
[ebuild N ] kde-base/khangman-3.5.0
[ebuild N ] kde-base/kig-3.5.0
[ebuild N ] kde-base/kmplot-3.5.0
[ebuild N ] kde-base/kwordquiz-3.5.0
[ebuild N ] kde-base/kalzium-3.5.0
[ebuild N ] kde-base/kiten-3.5.0
[ebuild N ] kde-base/kanagram-3.5.0
[ebuild N ] kde-base/kbruch-3.5.0
[ebuild N ] kde-base/kturtle-3.5.0
[ebuild N ] kde-base/klatin-3.5.0
[ebuild N ] kde-base/blinken-3.5.0
[ebuild N ] kde-base/kverbos-3.5.0
[ebuild N ] kde-base/kdeedu-meta-3.5.0
[ebuild N ] kde-base/kdebugdialog-3.5.0
[ebuild N ] kde-base/ksysguard-3.5.0
[ebuild N ] kde-base/kdebase-pam-6
[ebuild N ] kde-base/kdm-3.5.0
[ebuild N ] kde-base/kcheckpass-3.5.0
[ebuild N ] kde-base/kfind-3.5.0
[ebuild N ] kde-base/kdepasswd-3.5.0
[ebuild N ] kde-base/kscreensaver-3.5.0
[ebuild N ] kde-base/klipper-3.5.0
[ebuild N ] kde-base/ksystraycmd-3.5.0
[ebuild N ] kde-base/kreadconfig-3.5.0
[ebuild N ] kde-base/ktip-3.5.0
[ebuild N ] kde-base/kwin-3.5.0
[ebuild N ] kde-base/kdesktop-3.5.0
[ebuild N ] kde-base/kstart-3.5.0
[ebuild N ] kde-base/knetattach-3.5.0
[ebuild N ] kde-base/ksmserver-3.5.0
[ebuild N ] kde-base/kappfinder-3.5.0
[ebuild N ] kde-base/ksplashml-3.5.0
[ebuild N ] kde-base/kdeprint-3.5.0
[ebuild N ] kde-base/nsplugins-3.5.0
[ebuild N ] kde-base/kpager-3.5.0
[ebuild N ] kde-base/kxkb-3.5.0
[ebuild N ] kde-base/kdcop-3.5.0
[ebuild N ] kde-base/drkonqi-3.5.0
[ebuild N ] kde-base/kpersonalizer-3.5.0
[ebuild N ] kde-base/kdebase-startkde-3.5.0
[ebuild N ] kde-base/kmenuedit-3.5.0
[ebuild N ] kde-base/konsole-3.5.0
[ebuild N ] kde-base/kdebase-meta-3.5.0
[ebuild N ] kde-base/superkaramba-3.5.0
[ebuild N ] kde-base/kcalc-3.5.0
[ebuild N ] kde-base/kedit-3.5.0
[ebuild N ] kde-base/ksim-3.5.0
[ebuild N ] kde-base/kregexpeditor-3.5.0
[ebuild N ] kde-base/kmilo-3.5.0
[ebuild N ] kde-base/kgpg-3.5.0
[ebuild N ] kde-base/ktimer-3.5.0
[ebuild N ] kde-base/khexedit-3.5.0
[ebuild N ] kde-base/kwalletmanager-3.5.0
[ebuild N ] kde-base/kfloppy-3.5.0
[ebuild N ] kde-base/kjots-3.5.0
[ebuild N ] kde-base/kdf-3.5.0
[ebuild N ] kde-base/klaptopdaemon-3.5.0
[ebuild N ] kde-base/ark-3.5.0
[ebuild N ] kde-base/kcharselect-3.5.0
[ebuild N ] kde-base/kdeutils-meta-3.5.0
[ebuild N ] kde-base/libkpimexchange-3.5.0
[ebuild N ] dev-libs/libical-0.24_rc4-r1
[ebuild N ] kde-base/kode-3.5.0
[ebuild N ] kde-base/kdepim-kresources-3.5.0
[ebuild N ] kde-base/libkholidays-3.5.0
[ebuild N ] kde-base/korganizer-3.5.0
[ebuild N ] kde-base/libkmime-3.5.0
[ebuild N ] kde-base/kdepim-kioslaves-3.5.0
[ebuild N ] kde-base/mimelib-3.5.0
[ebuild N ] kde-base/libksieve-3.5.0
[ebuild N ] kde-base/kmailcvt-3.5.0
[ebuild N ] kde-base/kmail-3.5.0-r3
[ebuild N ] kde-base/kontact-specialdates-3.5.0
[ebuild N ] kde-base/kalarm-3.5.0
[ebuild N ] kde-base/konsolekalendar-3.5.0
[ebuild N ] kde-base/kdepim-wizards-3.5.0
[ebuild N ] kde-base/kandy-3.5.0
[ebuild N ] kde-base/korn-3.5.0
[ebuild N ] kde-base/knotes-3.5.0
[ebuild N ] kde-base/karm-3.5.0
[ebuild N ] kde-base/networkstatus-3.5.0
[ebuild N ] kde-base/kitchensync-3.5.0
[ebuild N ] kde-base/ksync-3.5.0
[ebuild N ] kde-base/knode-3.5.0
[ebuild N ] kde-base/kdepim-meta-3.5.0
[ebuild N ] kde-base/kpoker-3.5.0
[ebuild N ] kde-base/kpat-3.5.0
[ebuild N ] kde-base/klines-3.5.0
[ebuild N ] kde-base/kbackgammon-3.5.0
[ebuild N ] kde-base/ksirtet-3.5.0
[ebuild N ] kde-base/ksame-3.5.0
[ebuild N ] kde-base/kshisen-3.5.0
[ebuild N ] kde-base/ksnake-3.5.0
[ebuild N ] kde-base/kgoldrunner-3.5.0
[ebuild N ] kde-base/kblackbox-3.5.0
[ebuild N ] kde-base/libksirtet-3.5.0
[ebuild N ] kde-base/kfouleggs-3.5.0
[ebuild N ] kde-base/ksokoban-3.5.0
[ebuild N ] kde-base/kmines-3.5.0
[ebuild N ] kde-base/ktron-3.5.0
[ebuild N ] kde-base/kwin4-3.5.0
[ebuild N ] kde-base/kbattleship-3.5.0
[ebuild N ] kde-base/kenolaba-3.5.0
[ebuild N ] kde-base/konquest-3.5.0
[ebuild N ] kde-base/kmahjongg-3.5.0
[ebuild N ] kde-base/ksmiletris-3.5.0
[ebuild N ] kde-base/lskat-3.5.0
[ebuild N ] kde-base/kjumpingcube-3.5.0
[ebuild N ] kde-base/klickety-3.5.0
[ebuild N ] kde-base/kreversi-3.5.0
[ebuild N ] kde-base/kspaceduel-3.5.0
[ebuild N ] kde-base/katomic-3.5.0
[ebuild N ] kde-base/ktuberling-3.5.0
[ebuild N ] kde-base/kdegames-meta-3.5.0
[ebuild N ] kde-base/kdeartwork-kscreensaver-3.5.0
[ebuild N ] kde-base/kworldwatch-3.5.0
[ebuild N ] kde-base/kdeartwork-kworldclock-3.5.0
[ebuild N ] kde-base/kdeartwork-kwin-styles-3.5.0
[ebuild N ] kde-base/kdeartwork-iconthemes-3.5.0
[ebuild N ] kde-base/kdeartwork-wallpapers-3.5.0
[ebuild N ] kde-base/kdeartwork-sounds-3.5.0
[ebuild N ] kde-base/kdeartwork-emoticons-3.5.0
[ebuild N ] kde-base/kdeartwork-styles-3.5.0
[ebuild N ] kde-base/kdeartwork-icewm-themes-3.5.0
[ebuild N ] kde-base/kdeartwork-meta-3.5.0
[ebuild N ] kde-base/kuser-3.5.0
[ebuild N ] kde-base/kdeadmin-kfile-plugins-3.5.0
[ebuild N ] kde-base/secpolicy-3.5.0
[ebuild N ] kde-base/lilo-config-3.5.0
[ebuild N ] kde-base/kdat-3.5.0
[ebuild N ] kde-base/kcron-3.5.0
[ebuild N ] kde-base/kdeadmin-meta-3.5.0
[ebuild N ] media-libs/giflib-4.1.4
[ebuild N ] media-libs/imlib-1.9.14-r3
[ebuild N ] kde-base/kuickshow-3.5.0
[ebuild N ] kde-base/kdegraphics-kfile-plugins-3.5.0
[ebuild N ] kde-base/kghostview-3.5.0
[ebuild N ] dev-libs/fribidi-0.10.4
[ebuild N ] kde-base/ksvg-3.5.0
[ebuild N ] kde-base/kgamma-3.5.0
[ebuild N ] kde-base/kcoloredit-3.5.0
[ebuild N ] kde-base/kviewshell-3.5.0-r1
[ebuild N ] kde-base/kfax-3.5.0
[ebuild N ] kde-base/kview-3.5.0
[ebuild N ] kde-base/kruler-3.5.0
[ebuild N ] kde-base/ksnapshot-3.5.0
[ebuild N ] kde-base/kiconedit-3.5.0
[ebuild N ] kde-base/kolourpaint-3.5.0
[ebuild N ] kde-base/kdvi-3.5.0
[ebuild N ] app-text/poppler-bindings-0.4.3-r2
[ebuild N ] kde-base/kpdf-3.5.0-r3
[ebuild N ] kde-base/kmrml-3.5.0
[ebuild N ] kde-base/kdegraphics-meta-3.5.0
[ebuild N ] kde-base/kommander-3.5.0
[ebuild N ] kde-base/kxsldbg-3.5.0
[ebuild N ] kde-base/klinkstatus-3.5.0
[ebuild N ] kde-base/kimagemapeditor-3.5.0
[ebuild N ] kde-base/kfilereplace-3.5.0
[ebuild N ] kde-base/quanta-3.5.0
[ebuild N ] kde-base/kdewebdev-meta-3.5.0
[ebuild N ] kde-base/libkcddb-3.5.0
[ebuild N ] media-libs/taglib-1.4
[ebuild N ] media-sound/cdparanoia-3.9.8-r2
[ebuild N ] media-sound/lame-3.96.1
[ebuild N ] kde-base/kdemultimedia-kioslaves-3.5.0
[ebuild N ] kde-base/kmix-3.5.0
[ebuild N ] kde-base/kdemultimedia-kfile-plugins-3.5.0
[ebuild N ] kde-base/kscd-3.5.0
[ebuild N ] kde-base/kdemultimedia-kappfinder-data-3.5.0
[ebuild N ] kde-base/kmid-3.5.0
[ebuild N ] kde-base/kdemultimedia-meta-3.5.0
[ebuild N ] kde-base/ktalkd-3.5.0
[ebuild N ] kde-base/kdnssd-3.5.0
[ebuild N ] kde-base/kdict-3.5.0
[ebuild N ] kde-base/lisa-3.5.0
[ebuild N ] kde-base/dcoprss-3.5.0
[ebuild N ] kde-base/kopete-3.5.0
[ebuild N ] kde-base/kdenetwork-filesharing-3.5.0
[ebuild N ] kde-base/krdc-3.5.0
[ebuild N ] kde-base/kppp-3.5.0
[ebuild N ] kde-base/kdenetwork-kfile-plugins-3.5.0
[ebuild N ] kde-base/kpf-3.5.0
[ebuild N ] kde-base/kget-3.5.0
[ebuild N ] kde-base/krfb-3.5.0
[ebuild N ] kde-base/ksirc-3.5.0
[ebuild N ] kde-base/kdenetwork-meta-3.5.0
[ebuild N ] kde-base/eyesapplet-3.5.0
[ebuild N ] kde-base/fifteenapplet-3.5.0
[ebuild N ] kde-base/kodo-3.5.0
[ebuild N ] kde-base/amor-3.5.0
[ebuild N ] kde-base/kteatime-3.5.0
[ebuild N ] kde-base/kweather-3.5.0
[ebuild N ] kde-base/ktux-3.5.0
[ebuild N ] kde-base/kmoon-3.5.0
[ebuild N ] kde-base/kdetoys-meta-3.5.0
[ebuild N ] kde-base/kde-meta-3.5.0


Ik ben het opnieuw begonnen , deze keer heb ik emerge kde-meta commando opgegeven, ik weet niet of het verschill uitmakt. :wink:
Back to top
View user's profile Send private message
Azerix
Guru
Guru


Joined: 19 Dec 2004
Posts: 346
Location: NL

PostPosted: Tue Jan 24, 2006 6:17 pm    Post subject: Reply with quote

Weer een error, deze keer wilt hij kde-base/kghostview-3.5.0 niet installeren.

Quote:


Calculating dependencies ...done!
>>> emerge (1 of 1) kde-base/kghostview-3.5.0 to /
>>> md5 files ;-) kghostview-3.4.1.ebuild
>>> md5 files ;-) ChangeLog
>>> md5 files ;-) metadata.xml
>>> md5 files ;-) kghostview-3.4.2.ebuild
>>> md5 files ;-) kghostview-3.4.3.ebuild
>>> md5 files ;-) kghostview-3.5.0.ebuild
>>> md5 files ;-) files/digest-kghostview-3.4.1
>>> md5 files ;-) files/kdegraphics-3.4-gcc4.patch
>>> md5 files ;-) files/digest-kghostview-3.4.2
>>> md5 files ;-) files/digest-kghostview-3.4.3
>>> md5 files ;-) files/digest-kghostview-3.5.0
>>> md5 src_uri ;-) kdegraphics-3.5.0.tar.bz2
* This package requires virtual/ghostscript compiled with X11 support.
* Please reemerge virtual/ghostscript with USE="X".

!!! ERROR: kde-base/kghostview-3.5.0 failed.
!!! Function pkg_setup, Line 21, Exitcode 0
!!! Please reemerge virtual/ghostscript with USE="X".
!!! If you need support, post the topmost build error, NOT this status message.


ik heb virtual/ghostscript geinstallerd app-text/ghostscript-esp-7.07.1-r8 vervolgens probeer ik te emergen kde-base/kghostview-3.5.0 nog steeds de zelfde error.

:evil: :evil: 2 dagen beizig met installeren van KDE en nog steeds de zelfde foutmeldingen. Heeft het mischien te maken systeem, is die niet goed geupgrade? emerge sync?
Back to top
View user's profile Send private message
Q-collective
Advocate
Advocate


Joined: 22 Mar 2004
Posts: 2056

PostPosted: Wed Jan 25, 2006 6:10 pm    Post subject: Reply with quote

error wrote:
!!! Please reemerge virtual/ghostscript with USE="X".

Dat gedaan?
Back to top
View user's profile Send private message
Azerix
Guru
Guru


Joined: 19 Dec 2004
Posts: 346
Location: NL

PostPosted: Wed Jan 25, 2006 7:29 pm    Post subject: Reply with quote

Toen ik die foutmelding kreeg, had ik gelijk gecontrollerd of virtual/ghostscript heb, door emerge unmerge virtual/ghostscript -p

Quote:


--- Couldn't find virtual/ghostscript to unmerge.

>>> unmerge: No packages selected for removal.


Vervolgens heb ik het toch geinstallerd virtual/ghostscript , versie app-text/ghostscript-esp-7.07.1-r8 pakt ie automatisch . En dan probeer kde-meta installeren , maar krij nog steeds zefde error en ook als probeer kde-base/kghostview-3.5.0 appart te installeren nog steeds de zelfde foutmelding.

Maar wat word bedoelt met USE="X". ? :?
Back to top
View user's profile Send private message
koenderoo
Guru
Guru


Joined: 03 Jan 2004
Posts: 514
Location: Zwolle, The Netherlands

PostPosted: Thu Jan 26, 2006 7:43 am    Post subject: Reply with quote

Die USE slaat op de instellingen waar je Gentoo mee kunt "tweaken". Ze zijn eigenlijk een van de kernpunten van Gentoo die je dan ook zult moeten instellen. Zonder ben je eigenlijk weer een standaard linux systeem aan het bouwen dat overal goed voor is.
Je stelt deze USE flags in in /etc/make.conf. Kijk voor die tijd even in /etc/make.conf.example voor uiteraard het voorbeeld. Je kunt ook de /etc/make.conf.example kopieren naar make.conf, maar maak dan eerst even een reserve kopie van de oude make.conf om op terug te kunnen vallen.

Je kunt overigens ook de USE flags tijdelijk instellen door te emergen op de volgende manier:
Code:
 USE "X" emerge [pakketnaam]


Voor de uitgebreide manual over USE flags (lezen!!):
http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?part=2&chap=2
Back to top
View user's profile Send private message
Q-collective
Advocate
Advocate


Joined: 22 Mar 2004
Posts: 2056

PostPosted: Thu Jan 26, 2006 8:06 am    Post subject: Reply with quote

Een Gentoo user die niks over USE weet is zoiets als een onderwijzer die analfabeet is: je kunt je afvragen waarvoor je het dan doet.
Serieus, je draait al sinds december 2004 Gentoo (nouja, of je moet een half jaar eerder zijn ingeschreven op dit forum ofzo) en hoort nu pas over USE?
Back to top
View user's profile Send private message
Azerix
Guru
Guru


Joined: 19 Dec 2004
Posts: 346
Location: NL

PostPosted: Thu Jan 26, 2006 2:19 pm    Post subject: Reply with quote

Quote:
Een Gentoo user die niks over USE weet is zoiets als een onderwijzer die analfabeet is: je kunt je afvragen waarvoor je het dan doet.
Serieus, je draait al sinds december 2004 Gentoo (nouja, of je moet een half jaar eerder zijn ingeschreven op dit forum ofzo) en hoort nu pas over USE?


LOL, ik weet wat USE flags zijn, die gebruik ik ook, ik heb in /etc/make.conf allang aangepast, toen begonnen was met gentoo. Daar gaat het niet om. Ik weet alleen niet welke commando moet ik gebruike voor installeren. Dit ismijn /etc/make.conf

Quote:

# These settings were set by the catalyst build script that automatically built$
# Please consult /etc/make.conf.example for a more detailed example
CHOST="i686-pc-linux-gnu"
CFLAGS="-march=pentium4 -O3 -pipe -fomit-frame-pointer"
CXXFLAGS="-march=pentium4 -O3 -pipe -fomit-frame-pointer"
GENTOO_MIRRORS="http://ftp.snt.utwente.nl/pub/os/linux/gentoo"
GENTOO_MIRRORS="ftp://ftp.snt.utwente.nl/pub/os/linux/gentoo/"
USE="winbind apache2 postfix chroot curl gd yaz nls ipv6 phpmyadmin
mysql imap libwww maildir sasl samba vim tiff ssl xml xml2 ethereal
-berkdb -innodb -X -gtk -gnome -kdm -gtk2 -kde -qt -alsa -acpi -dvd -
mozilla -pcmcia -arts -esd"
CCACHE_SIZE="2G"



Einige wat ik weet emerge en emerge unmerge. Maar qua linux, gebruik alleen als webserver en verder niks. Meestal als ik tijd hou ik me beizig met Gentoo.
Back to top
View user's profile Send private message
koenderoo
Guru
Guru


Joined: 03 Jan 2004
Posts: 514
Location: Zwolle, The Netherlands

PostPosted: Thu Jan 26, 2006 2:25 pm    Post subject: Reply with quote

Als je dan weet hoe het zit met USE dan blijft mijn post over:

Quote:
Je kunt overigens ook de USE flags tijdelijk instellen door te emergen op de volgende manier:
Code:
USE "X" emerge [pakketnaam]

Back to top
View user's profile Send private message
Azerix
Guru
Guru


Joined: 19 Dec 2004
Posts: 346
Location: NL

PostPosted: Thu Jan 26, 2006 2:47 pm    Post subject: Reply with quote

koenderoo wrote:
Als je dan weet hoe het zit met USE dan blijft mijn post over:

Quote:
Je kunt overigens ook de USE flags tijdelijk instellen door te emergen op de volgende manier:
Code:
USE "X" emerge [pakketnaam]



Je bent namelijk vergeten de = teken te platsen, ik heb het uitgevoerd:

USE="X" emerge virtual/ghostscript


En het werkt wel, thanks :) . Alleen hoop dat ik verder geen problemen krijg. Eigenlijk moet ik mijn systeem vaker updaten.
Back to top
View user's profile Send private message
Q-collective
Advocate
Advocate


Joined: 22 Mar 2004
Posts: 2056

PostPosted: Fri Jan 27, 2006 3:53 pm    Post subject: Reply with quote

Azerix wrote:
Eigenlijk moet ik mijn systeem vaker updaten.

Nee, echt? ;)

Maar even tussen haakjes, inline USE flags gebruiken zoals je dat hebt gedaan is geen beste methode en wordt afgeraden (ik meen mij ook te herinneren dat het ook eruit gaat in een toekomstige versie van portage), aangezien een simpele "emerge world -N" de boel weer compleet overhoop haalt.
Je kunt beter package.use gebruiken mocht je een (of meerdere) specifieke USE flags op een bepaalt pakketje willen uitvoeren:
Code:
echo "categorie/pakket use use1 use2 use3" >> /etc/portage/package.use
Back to top
View user's profile Send private message
Azerix
Guru
Guru


Joined: 19 Dec 2004
Posts: 346
Location: NL

PostPosted: Sat Jan 28, 2006 12:50 am    Post subject: Reply with quote

Nou de installatie is verder wel goed gegaan, na de installatie ben ik ingelogd als normale user(niet asl root). Vandaag probeer ik het openieuw inloggen met zelfde gebruiekrsnaam en wachtwoord, alleen ik kan niet meer inloggen en krijg ook geen errors. Normale gesproken als je verkeerde wachtwoord invult of gebruikersnaam dan krijg je een bericht van Faild login.

Maar dit is een totale andere probleem, hij probeerd wel in loggen maar het keert terug naar de login menu. Ik kies wel voor de juiste sessie oohr en ook juiste versie van KDE. in de log files zie ik geen errors

Dit is log van Xorg.0.log

Quote:


(II) <default pointer>: ps2EnableDataReporting: succeeded
AUDIT: Sat Jan 28 00:01:19 2006: 7556 X: client 2 rejected from local host
(WW) Open APM failed (/dev/apm_bios) (No such file or directory)
(==) NV(0): Write-combining range (0xf8000000,0x1000000)
(==) RandR enabled
(II) <default pointer>: ps2EnableDataReporting: succeeded
AUDIT: Sat Jan 28 00:16:05 2006: 7556 X: client 2 rejected from local host
(WW) Open APM failed (/dev/apm_bios) (No such file or directory)
(==) NV(0): Write-combining range (0xf8000000,0x1000000)
(==) RandR enabled
(II) <default pointer>: ps2EnableDataReporting: succeeded
AUDIT: Sat Jan 28 00:16:12 2006: 7556 X: client 2 rejected from local host
(WW) Open APM failed (/dev/apm_bios) (No such file or directory)
(==) NV(0): Write-combining range (0xf8000000,0x1000000)
(==) RandR enabled
(II) <default pointer>: ps2EnableDataReporting: succeeded
AUDIT: Sat Jan 28 00:16:38 2006: 7556 X: client 2 rejected from local host
(WW) Open APM failed (/dev/apm_bios) (No such file or directory)
(==) NV(0): Write-combining range (0xf8000000,0x1000000)
(==) RandR enabled
(II) <default pointer>: ps2EnableDataReporting: succeeded


Ik heb wel een error gevonden in xdm.log

Quote:

Changing kdmrc in /usr/kde/3.5
Changing kdmrc in /usr
/etc/X11/xdm/Xsetup_0: line 25: cd: /usr/share/config/kdm: No such file or directory
xdm error (pid 8106): Trouble getting network interface configurationxdm error (pid 8106): Trouble getting network interface$


Het lijkt alsof de configuratie bestand van kdm is verwijdert? :?

Ik kon gisteren normaal kunnen opstarten kdm en kde en ik kon ook normal mee werken, ik had ook mijn profiel aangepast, bureablad, menu, achtergrond. En vandaag heb ik opeens probleem met opstraten van kde. :( In mijn /etc/rc.conf heb juiste instelligen staan

/etc/rc.conf

DISPLAYMANAGER="kdm"
XSESSION="kde-3.5.0"



Ik heb het ook gevonden dat ik heb alle oude instelligen van xfce4, themes, iconnnen en cetera die ik ooit had gebruikt nog steeds in het systeem.

door uit te voeren revdep-rebuild -p om te kijken naar gebroken pakketten

Heeft dat probleem te maken met die oude troep van xfce4 mischien? :?: KDM heb ik ook opnieuw geinstallerd, maar geen resultaat.
Back to top
View user's profile Send private message
BlackEdder
Advocate
Advocate


Joined: 26 Apr 2004
Posts: 2588
Location: Dutch enclave in Egham, UK

PostPosted: Sat Jan 28, 2006 1:05 am    Post subject: Reply with quote

Kan je wel gewoon inloggen in een console (ctrl+alt+f1-4)?
Back to top
View user's profile Send private message
Azerix
Guru
Guru


Joined: 19 Dec 2004
Posts: 346
Location: NL

PostPosted: Sat Jan 28, 2006 1:30 am    Post subject: Reply with quote

Jah , wel , in consoel kan ik inlogen als root en ook als normale gebruiker. Ik wil best wel depclean uitvoeren, zo dat ie gronding de overbodige pakketen van het systeem weghalt, maar dat durf ik niet te doen. :(
Back to top
View user's profile Send private message
Q-collective
Advocate
Advocate


Joined: 22 Mar 2004
Posts: 2056

PostPosted: Sat Jan 28, 2006 10:36 am    Post subject: Reply with quote

Azerix wrote:
Jah , wel , in consoel kan ik inlogen als root en ook als normale gebruiker. Ik wil best wel depclean uitvoeren, zo dat ie gronding de overbodige pakketen van het systeem weghalt, maar dat durf ik niet te doen. :(

Depclean is meestal niet zo gevaarlijk, doe wel eerst even een emerge depclean -p om te zien wat hij weg wilt halen! (pas zeker even op met dingen als gcc, glibc, python, etc) Mocht het systeem achteraf nog gaan zeiken over missing libs, dan remerge je het pakketje even wat zeikt en lost dat het vaak wel op.

Maar even over je inlog probleem: geen idee wat hier het probleem van zou kunnen zijn. Ik dacht eerst iets in de trand van pam ofzo, maar via console inloggen lukt blijkbaar wel...
Probeer kdm nog eens te remergen?
Lukt inloggen met een andere DM wel? (xdm, gdm, entrance, slim)
Back to top
View user's profile Send private message
Azerix
Guru
Guru


Joined: 19 Dec 2004
Posts: 346
Location: NL

PostPosted: Sat Jan 28, 2006 3:31 pm    Post subject: Reply with quote

Quote:
Lukt inloggen met een andere DM wel? (xdm, gdm, entrance, slim)


Met xdm lukt ook niet, heb ik bijna het zelfde probleem , xdm hangt namelijk na het inloggen. Ik heb alleen maar xdm en kdm, verder geen andere Desktop Managers.

Wat mij nog opgevallen is, ik kan KDM niet opdefault platsen rc-update add kdm default Ik krijg een aantwoord :

* /sbin/rc-update: /etc/init.d/kdm not found; aborting En in etc/init.d/ zie ik geen kdm staan. Dat hoort toch niet zo te zijn, een configuratie bestan van kdm moet toch in /etc/init.d/ zijn :?:


Maar qwa overbodige bestanden, ik denk daar heeft wel te maken met het inlog probleem met KDM en XDM. Want na installatie heb wel kunnen opstarten en ik kreeg de profiel van xfce4 die ik ooit had gebruikt, dus dat was zo en zo al fout.
Als ik emerge-depclean -p uitvoer dan krijg een waarschuving een error bug :( :

Quote:


*** WARNING *** : DEPCLEAN CAN SERIOUSLY IMPAIR YOUR SYSTEM. USE CAUTION.
*** WARNING *** : (Cancel: CONTROL-C) -- ALWAYS VERIFY ALL PACKAGES IN THE
*** WARNING *** : CANDIDATE LIST FOR SANITY BEFORE ALLOWING DEPCLEAN TO
*** WARNING *** : UNMERGE ANY PACKAGES.
*** WARNING *** :
*** WARNING *** : USE FLAGS MAY HAVE AN EXTREME EFFECT ON THE OUTPUT.
*** WARNING *** : SOME LIBRARIES MAY BE USED BY PACKAGES BUT ARE NOT
*** WARNING *** : CONSIDERED TO BE A DEPEND DUE TO USE FLAG SETTINGS.
*** WARNING *** : emerge --update --deep --newuse world TO VERIFY
*** WARNING *** : SANITY IN THIS REGARD.
*** WARNING *** :
*** WARNING *** : Packages in the list that are desired may be added
*** WARNING *** : directly to the world file to cause them to be ignored
*** WARNING *** : by depclean and maintained in the future. BREAKAGES DUE
*** WARNING *** : TO UNMERGING AN ==IN-USE LIBRARY== MAY BE REPAIRED BY
*** WARNING *** : MERGING *** THE PACKAGE THAT COMPLAINS *** ABOUT THE
*** WARNING *** : MISSING LIBRARY.

Calculating depclean dependencies -!!! Cannot resolve a virtual package name to an ebuild.
!!! This is a bug, please report it. (virtual/libintl-0)


:?
Back to top
View user's profile Send private message
Azerix
Guru
Guru


Joined: 19 Dec 2004
Posts: 346
Location: NL

PostPosted: Sun Jan 29, 2006 2:02 am    Post subject: Reply with quote

Ik heb de oorzak van mijn probleem met kdm gevonden bij deze HOWTO http://www.gentoo.org/proj/en/desktop/x/x11/modular-x-howto.xml . Bij deze regel word het genoemd:

3. Caveats/Common Problems
'emerge -u world' wants to install xorg-x11 6.x

en helemaal onder word het uitgelegd over de meeste komende problemen na het updaten van systeem emerge -u world en een er van is dat gdm/kdm niet functioneren.

Eingelijk na het systeem update mijn hele gentoo PC is beitije naar de klote :wink: en vandaar ok die error als ik wil bepaalde pakketen installeren of als ik emerge depclean wil uitvoeren

Quote:


!!! This is a bug, please report it. (virtual/libintl-0)
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Dutch All times are GMT
Goto page Previous  1, 2
Page 2 of 2

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum